petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSFCompose

Compose a new PetscSF by putting the second SF under the first one in a top (roots) down (leaves) view

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFCompose(PetscSF sfA,PetscSF sfB,PetscSF *sfBA)

### Input Parameters

| sfA | - The first PetscSF, whose local space may be a permutation, but can not be sparse.
| sfB | - The second PetscSF, whose number of roots must be equal to number of leaves of sfA on each processor

### Output Parameters

sfBA -The composite SF. Doing a Bcast on the new SF is equvalent to doing Bcast on sfA, then Bcast on sfB

### Notes

For the resulting composed SF to be valid, the input SFs must be true star forests: the leaves must be unique. This is checked in debug mode.

### See Also

PetscSF, PetscSFComposeInverse(), PetscSFGetGraph(), PetscSFSetGraph()

### Level

developer

### Location

src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages